import { Data } from 'vfile';
import type { AstroConfig, MarkdownAstroData } from '../@types/astro';
export declare function getFileInfo(id: string, config: AstroConfig): {
    fileId: string;
    fileUrl: string | undefined;
};
export declare function safelyGetAstroData(vfileData: Data): MarkdownAstroData;
/**
 * Normalizes different file names like:
 *
 * - /@fs/home/user/project/src/pages/index.astro
 * - /src/pages/index.astro
 *
 * as absolute file paths with forward slashes.
 */
export declare function normalizeFilename(filename: string, config: AstroConfig): string;
